// EEPROM ADDRESS - 0x50 / 0x54
#ifndef _EEPROM24FC_H_
#define _EEPROM24FC_H_

#define ROM1 0x50       // Index Block
#define ROM2 0x54       // Font  Block

class EEPROM24FC
{
  private:

  public:
    void writeReadyCheck(uint8_t i2cAddr) ; // I2CバスのReadyチェック
    void writeByteData(uint8_t i2cAddr , uint16_t addredss , uint8_t data) ;  // 1Byte書き込み
    void writeMultiData(uint8_t i2cAddr ,uint16_t address , int dataSize , uint8_t data[]) ;  // 複数バイト書き込み
    uint8_t readByteData(uint8_t i2cAddr , uint16_t address) ;   // 1Byte読み込み
    void readMultiData(uint8_t i2cAddr , uint16_t address , int dataSize , uint8_t* data) ; // 複数バイト読込み
} ;

#endif
